ALTER TABLE LogTmGuia ADD IndMezcla INT DEFAULT(0) NOT NULL,ItemMezcla INT DEFAULT(0) NOT NULL,FactorMezcla DECIMAL(16,6) DEFAULT(0) NOT NULL
GO
CREATE TABLE LogTmTraslados ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
TipoProd VARCHAR(10) NOT NULL,
SaldoInicial DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
SaldoFinal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Entradas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Despachos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
DespMezcla DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Salidas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
AjuSobrante DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
AjuFaltante DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
PorcRend DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoAnt DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
SaldoMPAnt DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantProdAnt DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoMPAnt DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoMPMes DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoUndMP DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoUndTra DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoTotalTra DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoTotalSB DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoUndVco DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoTotalVco DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoTotalMod DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoTotalCif DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Unidad VARCHAR(50),
Producto VARCHAR(250),
IdSubgrupo VARCHAR(8),
CodMezcla VARCHAR(16),
CdoSubMezcla VARCHAR(8)
 CONSTRAINT PK_LogTmTraslados PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmTrasladosDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmTrasladosIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmTrasladosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmTrasladosTipoProd CHECK ((len([TipoProd])>(0))),
 CONSTRAINT CK_LogTmTrasladosUndMed CHECK ((len([UndMed])>(0))))
GO
CREATE TABLE LogTmTraRubros ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
TipoRubro VARCHAR(10) NOT NULL,
CantBruto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
IdSubgrupo VARCHAR(8),
CodCueCP VARCHAR(16)
 CONSTRAINT PK_LogTmTraRubros PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmTraRubrosIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmTraRubrosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmTraRubrosTipoRubro CHECK ((len([TipoRubro])>(0))),
 CONSTRAINT CK_LogTmTraRubrosUndMed CHECK ((len([UndMed])>(0))))
GO
CREATE TABLE LogTmMezcla ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
ItemMezcla INT DEFAULT ((0)) NOT NULL,
CodMezcla VARCHAR(16) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
Temperatura DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TempLab DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UnidTemp CHAR(1),
ValorAPI DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
API_Corregido DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Densidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ValorVCW DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FactorTemp DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FactorMezcla DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantMezcla DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipoProd VARCHAR(10) NOT NULL,
Unidad VARCHAR(50),
Producto VARCHAR(250),
IdSubgrupo VARCHAR(8)
 CONSTRAINT PK_LogTmMezcla PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmMezclaCodMezcla CHECK ((len([CodMezcla])>(0))),
 CONSTRAINT CK_LogTmMezclaDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmMezclaIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmMezclaIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_LogTmMezclaIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmMezclaTipoProd CHECK ((len([TipoProd])>(0))),
 CONSTRAINT CK_LogTmMezclaUndMed CHECK ((len([UndMed])>(0))))
GO